MESG(1)

NAZWA
mesg - wyświetla (lub nie wyświetla) wiadomości od innych użytkowników

SKŁADNIA

mesg [option] [n|y]

OPIS

The mesg utility is invoked by a user to control write access others have to the terminal device associated with standard error output. If write access is allowed, then programs such as talk(1) and write(1) may display messages on the terminal.

Traditionally, write access is allowed by default. However, as users become more conscious of various security risks, there is a trend to remove write access by default, at least for the primary login shell. To make sure your ttys are set the way you want them to be set, mesg should be executed in your login scripts.

The mesg utility silently exits with error status 2 if not executed on terminal. In this case execute mesg is pointless. The command line option --verbose forces mesg to print a warning in this situation. This behaviour has been introduced in version 2.33.

ARGUMENTY

n
    Zabrania wiadomości.

y
    Zezwala na wyświetlanie wiadomości.

Jeśli nie poda się argumentów, mesg wypisze bieżący status wiadomości na standardowe wyjście błędów.

OPCJE

-v, --verbose
    Wypisuje bieżące działania.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

-h, --help
    Wyświetla ten tekst i kończy pracę.

KOD ZAKOŃCZENIA

Narzędzie mesg kończy pracę z jedną z następujących wartości:

0
    Wiadomości są dozwolone.

1
    Wiadomości nie są dozwolone

>1
    Wystąpił błąd.

PLIKI

/dev/[pt]ty[pq]?

HISTORIA

Polecenie mesg pojawiło się w wersji 6 AT&T UNIX.

ZOBACZ TAKŻE

login(1), talk(1), write(1), wall(1), xterm(1)

ZGŁASZANIE BŁĘDÓW

For bug reports, use the issue tracker at

DOSTĘPNOŚĆ

The mesg command is part of the util-linux package which can be downloaded from

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.